Debian Bug report logs - #584100
pm-utils: Resume from hibernate to blank screen on Lenovo R61

version graph

Package: xserver-xorg-video-intel; Maintainer for xserver-xorg-video-intel is Debian X Strike Force <debian-x@lists.debian.org>; Source for xserver-xorg-video-intel is src:xserver-xorg-video-intel.

Reported by: Antony Gelberg <antony.gelberg@gmail.com>

Date: Tue, 1 Jun 2010 09:30:01 UTC

Severity: normal

Tags: fixed-upstream

Merged with 577996

Found in versions 2.11.0-1, xserver-xorg-video-intel/2:2.9.1-3

Done: Julien Cristau <jcristau@debian.org>

Bug is archived. No further changes may be made.

Forwarded to https://bugs.freedesktop.org/show_bug.cgi?id=25412

Toggle useless messages

View this report as an mbox folder, status mbox, maintainer mbox


Report forwarded to debian-bugs-dist@lists.debian.org, Tim Dijkstra <tim@famdijkstra.org>:
Bug#584100; Package pm-utils. (Tue, 01 Jun 2010 09:30:04 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antony Gelberg <antony.gelberg@wayforth.com>:
New Bug report received and forwarded. Copy sent to Tim Dijkstra <tim@famdijkstra.org>. (Tue, 01 Jun 2010 09:30:04 GMT) Full text and rfc822 format available.

Message #5 received at submit@bugs.debian.org (full text, mbox):

From: Antony Gelberg <antony.gelberg@wayforth.com>
To: Debian Bug Tracking System <submit@bugs.debian.org>
Subject: pm-utils: Resume from hibernate to blank screen on Lenovo R61
Date: Tue, 01 Jun 2010 12:28:12 +0300
Package: pm-utils
Version: 1.3.0-1
Severity: important
Tags: squeeze

On occasion (enough to be extremely annoying, maybe 30% of the time), my
workstation resumes from hibernate successfully up to the point where my X
display should reappear.  However, the screen is blank (but the backlight is
on).  I can login via another X session and note that all the processes on the
first session are running normally, CPU is not maxed out etc.  In addition, I
know that the processes are running because if I switch back to the faulty
screen, I can type my password into the screensaver and I see the hard drive
light activity as the screen is unlocked.  I can press Alt-F2 and see more
activity as Gnome loads the run program dialog.

I don't know how to debug this but I'm all ears.  It might be worth pointing
out that during the day, I use grandr to switch LVDS off and run the machine
via the VGA output, but I always do the reverse before telling the machine to
hibernate.

Interestingly, all text consoles (Ctrl-Alt-F1 et al) come up blank as well.


-- System Information:
Debian Release: squeeze/sid
  APT prefers testing
  APT policy: (500, 'testing'), (1, 'experimental')
Architecture: i386 (i686)

Kernel: Linux 2.6.33-2-686 (SMP w/2 CPU cores)
Locale: LANG=en_GB.UTF-8, LC_CTYPE=en_GB.UTF-8 (charmap=UTF-8)
Shell: /bin/sh linked to /bin/bash

Versions of packages pm-utils depends on:
ii  console-tools              1:0.2.3dbs-69 Linux console and font utilities
ii  powermgmt-base             1.31          Common utils and configs for power

Versions of packages pm-utils recommends:
ii  procps                        1:3.2.8-9  /proc file system utilities
ii  radeontool                    1.6.0-1    utility to control ATI Radeon back
ii  vbetool                       1.1-2      run real-mode video BIOS code to a

Versions of packages pm-utils suggests:
ii  cpufrequtils                  006-2      utilities to deal with the cpufreq
pn  uswsusp                       <none>     (no description available)

-- no debconf information




Changed Bug submitter to 'Antony Gelberg <antony.gelberg@gmail.com>' from 'Antony Gelberg <antony.gelberg@wayforth.com>' Request was from Antony Gelberg <antony.gelberg@gmail.com> to control@bugs.debian.org. (Sun, 06 Jun 2010 12:18:07 GMT) Full text and rfc822 format available.

Bug reassigned from package 'pm-utils' to 'xserver-xorg-video-intel'. Request was from Antony Gelberg <antony.gelberg@gmail.com> to control@bugs.debian.org. (Mon, 28 Jun 2010 10:33:08 GMT) Full text and rfc822 format available.

Bug No longer marked as found in versions pm-utils/1.3.0-1. Request was from Antony Gelberg <antony.gelberg@gmail.com> to control@bugs.debian.org. (Mon, 28 Jun 2010 10:33:08 GMT) Full text and rfc822 format available.

Merged 577996 584100. Request was from Antony Gelberg <antony.gelberg@gmail.com> to control@bugs.debian.org. (Mon, 28 Jun 2010 10:33:10 GMT) Full text and rfc822 format available.

Set Bug forwarded-to-address to 'https://bugs.freedesktop.org/show_bug.cgi?id=25412'. Request was from Antony Gelberg <antony.gelberg@gmail.com> to control@bugs.debian.org. (Mon, 28 Jun 2010 10:39:05 GMT) Full text and rfc822 format available.

Removed tag(s) sid and squeeze. Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 28 Jun 2010 10:48:03 GMT) Full text and rfc822 format available.

Severity set to 'normal' from 'important' Request was from Julien Cristau <jcristau@debian.org> to control@bugs.debian.org. (Mon, 28 Jun 2010 10:51:03 GMT) Full text and rfc822 format available.

Information forwarded to debian-bugs-dist@lists.debian.org, Debian X Strike Force <debian-x@lists.debian.org>:
Bug#584100; Package xserver-xorg-video-intel. (Mon, 19 Jul 2010 10:12:03 GMT) Full text and rfc822 format available.

Acknowledgement sent to Antony Gelberg <antony.gelberg@gmail.com>:
Extra info received and forwarded to list. Copy sent to Debian X Strike Force <debian-x@lists.debian.org>. (Mon, 19 Jul 2010 10:12:03 GMT) Full text and rfc822 format available.

Message #24 received at 584100@bugs.debian.org (full text, mbox):

From: Antony Gelberg <antony.gelberg@gmail.com>
To: 584100@bugs.debian.org
Subject: Re: Resume from hibernate to blank screen on Lenovo R61
Date: Mon, 19 Jul 2010 13:09:41 +0300
Another comment - I tried disabling KMS and it was no better, except I 
could at least get to virtual consoles.  Now trying 2.12 as suggested at 
http://ikibiki.org/blog/2010/07/04/We_need_you_redux/ and after 
discussions in #debian-x.




Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Mon, 22 Oct 2012 16:51:08 GMT) Full text and rfc822 format available.

Removed tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 07 Feb 2013 16:45:12 GMT) Full text and rfc822 format available.

Added tag(s) fixed-upstream. Request was from bts-link-upstream@lists.alioth.debian.org to control@bugs.debian.org. (Thu, 14 Mar 2013 17:06:56 GMT) Full text and rfc822 format available.

Message #31 received at 577996-done@bugs.debian.org (full text, mbox):

From: Julien Cristau <jcristau@debian.org>
To: Alex Bennee <bugzilla@bennee.com>, 577996-done@bugs.debian.org
Subject: Re: Bug#577996: xorg: Screen occasionaly fails to unblank after resuming from suspend
Date: Mon, 12 Aug 2013 08:12:54 +0200
[Message part 1 (text/plain, inline)]
On Thu, Apr 15, 2010 at 23:26:32 +0100, Alex Bennee wrote:

> Package: xorg
> Version: 1:7.5+5
> Severity: important
> Tags: sid
> 
> Since a recent update to sid (in the last 2 weeks) resume from suspend has
> become unreliable. Although the machine appears to resume OK I'm unable to
> unlock X as the screen is blank. I've been unable to switch to console mode
> (possibly due to X screensaver having locked out).
> 
Hopefully that's fixed in wheezy, closing.

Cheers,
Julien
[signature.asc (application/pgp-signature, inline)]

Bug archived. Request was from Debbugs Internal Request <owner@bugs.debian.org> to internal_control@bugs.debian.org. (Mon, 09 Sep 2013 07:25:27 GMT) Full text and rfc822 format available.

Send a report that this bug log contains spam.


Debian bug tracking system administrator <owner@bugs.debian.org>. Last modified: Sat Apr 19 06:00:20 2014; Machine Name: buxtehude.debian.org

Debian Bug tracking system
Copyright (C) 1999 Darren O. Benham, 1997,2003 nCipher Corporation Ltd, 1994-97 Ian Jackson.